aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLukas Fleischer <calcurse@cryptocrack.de>2012-06-01 15:47:18 +0200
committerLukas Fleischer <calcurse@cryptocrack.de>2012-06-01 16:07:48 +0200
commitfa1f0a5c44ae059d36fe8e0a384356131f51b9ec (patch)
tree82a73d069923928b7d2e1e32dbb390c53190508b
parentf44b307e22e79beda91abaa3c417932c1d567bd0 (diff)
downloadcalcurse-3.0.0-rc1.tar.gz
calcurse-3.0.0-rc1.zip
calcurse-upgrade: Display error if temp file existsv3.0.0-rc1
Instead of bailing out without any hint, show an error message if the temporary file we use in calcurse-upgrade already exists. Signed-off-by: Lukas Fleischer <calcurse@cryptocrack.de>
-rw-r--r--scripts/calcurse-upgrade.sh.in8
1 files changed, 7 insertions, 1 deletions
diff --git a/scripts/calcurse-upgrade.sh.in b/scripts/calcurse-upgrade.sh.in
index c235874..959cd70 100644
--- a/scripts/calcurse-upgrade.sh.in
+++ b/scripts/calcurse-upgrade.sh.in
@@ -41,7 +41,13 @@ if grep -q -e '^auto_save=' -e '^auto_gc=' -e '^periodic_save=' \
echo "$(gettext "Pre-3.0.0 configuration file format detected...")"
tmpfile="$CONFFILE.calcurse-upgrade.tmp"
- [ -e "$tmpfile" ] && exit 1
+ if [ -e "$tmpfile" ]; then
+ echo "$(gettext "Old temporary file found:") \"$tmpfile\"" >&2
+ echo "$(gettext "
+If a previous conversion did not complete, please try to remove this file and
+start over with a backup of your old configuration file.")" >&2
+ exit 1
+ fi
echo -n "$(gettext "Upgrade configuration directives...")"